Epoch: 1

%define gcj_support     1
%define eclipse_base    %{_datadir}/eclipse

Name:           eclipse-changelog
Version:        2.5.1
Release:        2%{?dist}
Summary:        Eclipse ChangeLog plug-in

Group:          Development/Tools 
License:        Eclipse Public License 
URL:            http://sources.redhat.com/eclipse

# This tarball was generated like so:
#
# mkdir eclipse-changelog-src-2.5.1
# cd eclipse-changelog-src-2.5.1
# for f in \
# org.eclipse.linuxtools.changelog.core \
# org.eclipse.linuxtools.changelog.doc \
# org.eclipse.linuxtools.changelog.cparser \
# org.eclipse.linuxtools.changelog.javaparser \
# org.eclipse.linuxtools.changelog.cparser-feature \
# org.eclipse.linuxtools.changelog.javaparser-feature \
# org.eclipse.linuxtools.changelog-feature \
# do \
#  svn export \
#  svn://anonymous@dev.eclipse.org/svnroot/technology/org.eclipse.linuxtools/changelog/tags/R2_5_1/$f;
# done
# zip -r eclipse-changelog-src-2.5.1.zip *

Source0:        http://sourceware.org/eclipse/changelog/%{name}-src-%{version}.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:          eclipse-pde >= 1:3.3.0
BuildRequires:          eclipse-cdt >= 1:4.0.0
BuildRequires:          eclipse-cvs-client >= 1:3.3.0
%if %{gcj_support}
BuildRequires:          gcc-java >= 4.0.2
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%else
BuildRequires:          java-devel >= 1.4.2
%endif

# These plugins are really noarch but they need cdt which 
# we only build on these architectures.
%if %{gcj_support}
ExclusiveArch: %{ix86} x86_64 ppc ia64
%else
ExclusiveArch: %{ix86} x86_64 ppc ia64
%endif

Requires:               eclipse-platform >= 1:3.3.0
Requires:               eclipse-cvs-client >= 1:3.3.0

%description
The Eclipse ChangeLog package contains Eclipse features and plugins that are
useful for ChangeLog maintenance within the Eclipse IDE.

%package cdt
Requires: eclipse-cdt >= 1:4.0.0
Requires: %{name} = %{epoch}:%{version}-%{release}
Summary: C/C++ source parser for ChangeLog
Group: Development/Tools 

%description cdt
Parser for C/C++ files used when writing locations in ChangeLog entries.

%package jdt
Requires: eclipse-jdt >= 1:3.3.0
Requires: %{name} = %{epoch}:%{version}-%{release}
Summary: Java source parser for ChangeLog
Group: Development/Tools 

%description jdt
Parser for Java files used when writing locations in ChangeLog entries.

%prep
%setup -q -c -n eclipse-changelog-%{version}

%build
# See comments in the script to understand this.
/bin/sh -x %{_datadir}/eclipse/buildscripts/copy-platform SDK %{eclipse_base} cdt
SDK=$(cd SDK > /dev/null && pwd)

# Eclipse may try to write to the home directory.
mkdir home
homedir=$(cd home > /dev/null && pwd)

# build the main ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog                 \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

# build the cdt ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog.cparser-feature \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

# build the jdt ChangeLog feature
java -cp $SDK/startup.jar                              \
     -Dosgi.sharedConfiguration.area=%{_libdir}/eclipse/configuration  \
     org.eclipse.core.launcher.Main                    \
     -application org.eclipse.ant.core.antRunner       \
     -Duser.home=$homedir                              \
     -application org.eclipse.ant.core.antRunner       \
     -Dtype=feature                                    \
     -Did=org.eclipse.linuxtools.changelog.javaparser-feature \
     -DsourceDirectory=$(pwd)                          \
     -DbaseLocation=$SDK                               \
     -Dbuilder=%{eclipse_base}/plugins/org.eclipse.pde.build/templates/package-build  \
     -f %{eclipse_base}/plugins/org.eclipse.pde.build/scripts/build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.zip
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.cparser-feature.zip
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
 build/rpmBuild/org.eclipse.linuxtools.changelog.javaparser-feature.zip

%if %{gcj_support}
  aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post -p %{_bindir}/rebuild-gcj-db
%postun -p %{_bindir}/rebuild-gcj-db
%endif

%files jdt
%defattr(-,root,root)
%dir %{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/epl-v10.html
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/feature.xml
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.javaparser-feature_*/META-INF
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.parsers.java_*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.parsers.java_*
%endif

%files cdt
%defattr(-,root,root)
%dir %{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/epl-v10.html
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/feature.xml
%{eclipse_base}/features/org.eclipse.linuxtools.changelog.cparser-feature_*/META-INF
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.cparser_*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.cparser_*
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.linuxtools.changelog_*
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.core_*
%{eclipse_base}/plugins/org.eclipse.linuxtools.changelog.doc_*
%doc %{eclipse_base}/features/org.eclipse.linuxtools.changelog_*/epl-v10.html
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.linuxtools.changelog.core_*
%endif

%changelog
* Thu Aug 16 2007 Andrew Overholt <overholt@redhat.com> 2.5.1-2
- R/BR: eclipse-cvs-client.

* Thu Aug 16 2007 Andrew Overholt <overholt@redhat.com> 2.5.1-1
- 2.5.1
- Added jdt and cdt sub-packages.

* Wed Aug 15 2007 Andrew Overholt <overholt@redhat.com> 2.5.0-1
- Bump to 2.5.0.

* Mon Jan 22 2007 Kyu Lee <klee@redhat.com> 2.3.4-1
- Bumped to new version 2.3.4-1.

* Wed Jan 17 2007 Kyu Lee <klee@redhat.com> 2.3.3-3
- For Fedora Extras review, cleaned up this file. Red Hat BZ#222365.

* Thu Jan 11 2007 Kyu Lee <klee@redhat.com> 2.3.3-3
- Updated license information.
- Use copy-platform in %%{_datadir}.

* Mon Nov 06 2006 Andrew Overholt <overholt@redhat.com> 2.3.3-2
- Use copy-platform in %%{_libdir}.

* Fri Oct 13 2006 Kyu Lee <klee@redhat.com> 2.3.3-1
- Imported new version 2.3.3 with enhanced prepare 
changelog feature and bug fixes.

* Fri Sep 29 2006 Kyu Lee <klee@redhat.com> 2.3.2-1
- Imported fix for prepare changelog feature that did 
  not work with Eclipse 3.2.1.
- Also removed un-needed remove-pydev patch.

* Fri Sep 29 2006 Ben Konrath <bkonrath@redhat.com> 2.3.1-1
- Re-add Epoch: 1.

* Mon Sep 18 2006 Kyu Lee <klee@redhat.com> 2.3.1-1
- Move from releng style build to 'package build' builds.
- Import 2.3.1 - has improved error handling. 

* Thu Sep 14 2006 Kyu Lee <klee@redhat.com> 2.3.0-1
- Import version 2.3.0 that fixes keybinding issue and version
  number issue.

* Fri Sep 01 2006 Andrew Overholt <overholt@redhat.com> 2.2.3-1
- Minor specfile cleanups.
- Fix pydev patch to match 2.2.3.

* Fri Sep 01 2006 Kyu Lee <klee@redhat.com> 2.2.3-1
- Import version 2.2.3 which has number of bug fixes, cleaning,
  and content formatter feature.

* Fri Sep 01 2006 Ben Konrath <bkonrath@redhat.com> 2.2.2-3
- Require java-gcj-compat >= 1.0.64.

* Mon Aug 14 2006 Kyu Lee <klee@redhat.com> 2.2.2-3
- Add patch that removes Pydev dependency.

* Sun Aug 13 2006 Ben Konrath <bkonrath@redhat.com> 2.2.2-2
- Rebuild for RHDS.

* Tue Aug 01 2006 Kyu Lee <klee@redhat.com> 2.2.2-1
- Import version 2.2.2 that fixed the bug which was causing prepare-changelog
  menu button to not appear on 3.2.
 
* Tue Jul 25 2006 Kyu Lee <klee@redhat.com> 2.2.1-1
- Import version 2.2.1 that has prepare-changelog functionality for 3.2.

* Mon Jul 24 2006 Ben Konrath <bkonrath@redhat.com> 2.2.0-2
- Rebuild.

* Fri Jul 21 2006 Kyu Lee <klee@redhat.com> 2.2.0-1
- Import version 2.2.0 that has new prepare-changelog functionality.

* Thu Jul 20 2006 Igor Foox <ifoox@redhat.com> 2.1.0_fc-3
- Mass rebuild for FC6 test2.

* Tue Jun 20 2006 Igor Foox <ifoox@redhat.com> 2.1.0_fc-1
- Updated to version 2.1.0.

* Wed Jun 14 2006 Igor Foox <ifoox@redhat.com> 2.0.4_fc-4
- Require eclipse 3.2.0.

* Tue Jun 13 2006 Igor Foox <ifoox@redhat.com> 2.0.4_fc-3
- Rebuilding for new version of the SDK, with a versionless pde.build.

* Tue May 23 2006 Igor Foox <ifoox@redhat.com> 2.0.4_fc-2
- Building for rawhide.

* Tue May 23 2006 Igor Foox <ifoox@redhat.com> 2.0.4_fc-1
- Update to version 2.0.3, by fixes by Kyu Lee (rh#168682).

* Thu Mar 30 2006 Igor Foox <ifoox@redhat.com> 2.0.2_fc-1
- Update to version 2.0.2, bug fixes by Tom Tromey.

* Fri Feb 10 2006 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-25
- Use Epoch in Requires (rh#180915).
- Require >= 3.1.2 but < 3.1.3 to ensure we get 3.1.2.

* Thu Feb 09 2006 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-24
- Build against 3.1.2.

* Fri Dec 16 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-23
- Build against gcc 4.1.

* Thu Jul 14 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-22
- Make use of new aot-compile-rpm.
- Bump appropriate requirements.
- Add patches to fix what output format should be (.tar.gz).

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-21
- Re-organize and make use of scripts.

* Wed Apr 20 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1_fc-20
- Fixed SDK symlink so Python parser will build
- Remove -DjavacFailOnError=false from java -cp command

* Sun Apr 03 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-19
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 2.0.1_fc-18
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Thu Mar 10 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-17
- Redo arches
- Clean up BuildRequires

* Sat Mar 5 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-16
- Added BuildRequires eclipse-pydev
- Added BuildRequires eclipse-cdt
- Removed -g gcc option

* Fri Mar 4 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-15
- Added python(pydev) parser to core
- Addex x86_64 back to ExclusiveArch

* Thu Mar 3 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-12
- Fixed archs for Fedora Core

* Wed Mar 2 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-11
- Added ppc to arch, exclusive arch
- Converted gcj-dbtool4 to gcj-dbtool

* Wed Mar 2 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-9..10
- Added overholt@redhat.com patch to make 64 bit lib safe
- Changed license to EPL 
- Fixed GCC4 -> GCC

* Tue Mar 1 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-8
- Changed Copyright to License

* Mon Feb 28 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-7
- Rewrote gcj-dbtool register on post
- Added merge logic

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-6
- Rewrite some variables. Redo post. Add postun. Clean up

* Thu Feb 24 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-5
- Touch pde.build.script to point to correct place

* Mon Feb 21 2005 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-4
- Rewrite SPEC for native build. First attempt 

* Wed Nov 10 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-3
- Bugzilla 138545 and 138543
- Touched Release

* Tue Nov 09 2004 Phil Muldoon <pmuldoon@redhat.com> 2.0.1-1
- Updated sources
- Touched Version/Release
- Added BuildRequires eclipse-cdt

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1-4
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Phil Muldoon <pmuldoon@redhat.com> 1.1-3
- Set user.home (beehive fix)

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 1.1-2
- Don't BuildRequires ant
- Correct BuildRequires eclipse -> eclipse-platform
- Don't build on ppc64

* Mon Jul 19 2004 Phil Muldoon <pmuldoon@redhat.com>
- Make platform symlink tree before building
- Removed .so copy (not needed)

* Tue Jul 13 2004 Phil Muldoon <pmuldoon@redhat.com>
- Reworked for 3.0, and 3.0 new build system

* Tue Feb 10 2004 Phil Muldoon <pmuldoon@redhat.com> 1.0.0-1
- Initial version
